function [n1,n2,phi]=CalcWaveF(Ej,Ec,alpha,f,nmax,ng1,ng2,nelevel)
% [n1,n2,phi]=CalcWaveF(Ej,Ec,alpha,f,nmax,ng1,ng2,nelevel)
%
% CalcWaveF 1.0  3.10.2001  Hannes Majer (majer@qt.tn.tudelft.nl)



H=QubitHamiltonian(Ej,Ec,alpha,f,nmax,ng1,ng2);
[WaveFunctions,EigenEnergies]=eig(H);
EigenEnergies=diag(real(EigenEnergies),0);
[EigenEnergies,I] = sort(EigenEnergies);
WaveFunctions=WaveFunctions(:,I);
WaveFunction=WaveFunctions(:,nelevel+1);
[n1,n2]=meshgrid(-nmax:nmax,-nmax:nmax);
phi=n1;
phi(:)=WaveFunction;

if nargout==0
   pillar(abs(phi).^2,nmax+1,nmax+1);
   xlabel('n1');
   ylabel('n2');
   zlabel('|phi|^2');
   title(['E' num2str(nelevel)]);
   rotate3d on;
end
