function [t,h]=TwoLevel(result)
% fits E=+-sqrt(h^2*(f-0.5)^2-t^2) to the first two energy levels
%
% TwoLevel 1.0  2.10.2001  Hannes Majer (majer@qt.tn.tudelft.nl)

f=result(4,:);
E0=result(8,:);
E1=result(9,:);
m=(E0(1)+E1(1))/2;
index=(f==0.5);
t=(E1(index)-E0(index))/2;

Ediff=(E1-E0)/2;
E=sqrt(Ediff.^2-t^2);

poly=polyfit(f-0.5,E,1);
h=abs(poly(1));

figure(1)
hold off
plot(f,[E0;E1],'.');
hold on
plot(f,sqrt((h*(f-0.5)).^2+t.^2)+m,'r')
plot(f,-sqrt((h*(f-0.5)).^2+t.^2)+m,'r')
hold off